Page MenuHomePhabricator

rhg: Sort `rhg status` output correctly
ClosedPublic

Authored by SimonSapin on May 22 2021, 1:39 PM.

Details

Summary
  • The relative order of states is: modified, added, removed, deleted, unknown, ignored, clean
  • Files in the same state should be sorted by name, regardless of whether or not the were in "unsure" state based on metadata alone.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

SimonSapin created this revision.May 22 2021, 1:39 PM
pulkit accepted this revision.May 23 2021, 3:33 PM
This revision is now accepted and ready to land.May 23 2021, 3:33 PM

Needs rebase.

Needs rebase.

I think this is because I mixed up an amend, the test-upgrade-repo.t change should have gone into an unrelated patch. I’ve rebased anyway and https://foss.heptapod.net/octobus/mercurial-devel/-/pipelines/22305 should update the patch

baymax updated this revision to Diff 28194.May 24 2021, 5:52 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was automatically updated to reflect the committed changes.